VARKON Version 1.15 1997-10-24

> ## mode_local - Procedure

> Activates a coordinate system
> Description
> Activates a local coordinate system defined by a coordinate system entity.
> Syntax
> mode_local(ref);

> REF | ref;

> Principal parameters

> ref | - Identity of coordinate system to activate

> Optional parameters

> None. |

> Examples
> mode_local(#7.2);
> Activates a coordinate system with identity = #7.2
> Comments
> When a module starts to execute its global coordinate system is always active by default. With mode_local any coordinate system so far created can be made active instead. All positions, tangents, directions, angles, rotations and so on in VARKON are always interpreted as being relative to the coordinate system currently active.
> The activated coordinate system continues to be in effect until another system is activated or until the module exits.
> See also mode_global() and mode_basic().

VARKON Homepage | Index